/*******************************************************************************
 * Instance třídy Zbozi představují jednotlivé položky zboží v obchodě.
 *
 * @author    Luboš Pavlíček
 * @version   27. 11. 2011
 */
public class Zbozi
{
    //== Datové atributy (statické i instancí)======================================
    private String nazev;
    private int cena;
    

    /***************************************************************************
     *  Konstruktor ....
     */
    public Zbozi(String nazev, int cena) {
        this.nazev = nazev;
        this.cena = cena;
    }
    
    public String getNazev() {
        return nazev;
    }
    
    public int getCena() {
        return cena;
    }
    
    public void setCena(int cena) {
        this.cena = cena;
    }
    
    @Override
    public boolean equals(Object o) {
        if (o instanceof Zbozi) {
            Zbozi druhy = (Zbozi) o;
            return nazev.equals(druhy.nazev);
        }
        return false;
    }
    
    @Override
    public int hashCode() {
        return nazev.hashCode();
    }

}
